"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const numberGenerators_1 = require("./numberGenerators");
describe("numberGenerators", () => {
    describe("fibonacci", () => {
        it("returns a fibonacci number", () => {
            const numberSeries = numberGenerators_1.fibonacci(20);
            expect(numberSeries).toEqual(6765);
        });
    });
    // describe("fibonacciMemoized", () => {
    //   it("returns a fibonacci number", () => {
    //     const numberSeries = fibonacciMemoized(15);
    //     expect(numberSeries).toEqual(610);
    //   });
    // });
    describe("fibonacciTabulated", () => {
        it("returns a fibonacci number", () => {
            const numberSeries = numberGenerators_1.fibonacciTabulated(10);
            expect(numberSeries).toEqual(55);
        });
    });
});
