export declare function bubbleSort(arr: number[]): number[];
export declare function combSort(arr: number[]): number[];
export declare function quicksort_inPlace(arr: number[], start: number, end: number): number[];
export declare function quickSort_recursive(arr: number[], left?: number, right?: number): number[];
export declare function quickSort_stack(arr: number[]): number[];
export declare function quickSort_naive(arr: number[]): number[];
declare const _default: {
    bubbleSort: typeof bubbleSort;
    combSort: typeof combSort;
    quicksort_inPlace: typeof quicksort_inPlace;
    quickSort_recursive: typeof quickSort_recursive;
    quickSort_stack: typeof quickSort_stack;
    quickSort_naive: typeof quickSort_naive;
};
export default _default;
