export declare function jsSort(arr: number[]): number[];
declare const sorters: {
    jsSort: typeof jsSort;
    exchangeSorts: {
        bubbleSort: typeof import("./exchangeSorts").bubbleSort;
        combSort: typeof import("./exchangeSorts").combSort;
        quicksort_inPlace: typeof import("./exchangeSorts").quicksort_inPlace;
        quickSort_recursive: typeof import("./exchangeSorts").quickSort_recursive;
        quickSort_stack: typeof import("./exchangeSorts").quickSort_stack;
        quickSort_naive: typeof import("./exchangeSorts").quickSort_naive;
    };
    selectionSorts: {
        selectionSort: typeof import("./selectionSorts").selectionSort;
        heapSort: typeof import("./selectionSorts").heapSort;
        heapSort_recursive: typeof import("./selectionSorts").heapSort_recursive;
    };
    insertionSorts: {
        insertionSort: typeof import("./insertionSorts").insertionSort;
        shellSort: typeof import("./insertionSorts").shellSort;
        shellSort_bound: typeof import("./insertionSorts").shellSort_bound;
    };
    mergeSorts: {
        mergeSort: typeof import("./mergeSorts").mergeSort;
        mergeSort2: typeof import("./mergeSorts").mergeSort2;
    };
    distributionSorts: {
        radixSort: typeof import("./distributionSorts").radixSort;
    };
};
export default sorters;
