import Node from "./Node";
export default class SinglyLinkedList {
    head: Node | null;
    tail: Node | null;
    length: number;
    constructor();
    push(val: any): SinglyLinkedList;
    pop(): Node | undefined;
    shift(): Node | undefined;
    unshift(val: any): SinglyLinkedList;
    get(n: number): Node | undefined | null;
    set(n: number, val: any): boolean;
    insert(n: number, val: any): boolean;
    remove(n: number): Node | undefined;
    reverse(): SinglyLinkedList;
}
