declare const _default: {
    sorters: {
        jsSort: typeof import("./sorters/index").jsSort;
        exchangeSorts: {
            bubbleSort: typeof import("./sorters/exchangeSorts").bubbleSort;
            combSort: typeof import("./sorters/exchangeSorts").combSort;
            quicksort_inPlace: typeof import("./sorters/exchangeSorts").quicksort_inPlace;
            quickSort_recursive: typeof import("./sorters/exchangeSorts").quickSort_recursive;
            quickSort_stack: typeof import("./sorters/exchangeSorts").quickSort_stack;
            quickSort_naive: typeof import("./sorters/exchangeSorts").quickSort_naive;
        };
        selectionSorts: {
            selectionSort: typeof import("./sorters/selectionSorts").selectionSort;
            heapSort: typeof import("./sorters/selectionSorts").heapSort;
            heapSort_recursive: typeof import("./sorters/selectionSorts").heapSort_recursive;
        };
        insertionSorts: {
            insertionSort: typeof import("./sorters/insertionSorts").insertionSort;
            shellSort: typeof import("./sorters/insertionSorts").shellSort;
            shellSort_bound: typeof import("./sorters/insertionSorts").shellSort_bound;
        };
        mergeSorts: {
            mergeSort: typeof import("./sorters/mergeSorts").mergeSort;
            mergeSort2: typeof import("./sorters/mergeSorts").mergeSort2;
        };
        distributionSorts: {
            radixSort: typeof import("./sorters/distributionSorts").radixSort;
        };
    };
    dataStructures: {
        SinglyLinkedList: typeof import("./dataStructures/SinglyLinkedList").default;
        DoublyLinkedList: typeof import("./dataStructures/DoublyLinkedList").default;
    };
};
export default _default;
