export declare function insertionSort(arr: number[]): number[];
export declare function shellSort(arr: number[]): number[];
/**
 * Shell Sort - Bound
 * Same as Shell Sort, but allows for setting a boundary which
 * helps performance in very long arrays, if you know which part
 * of it that needs sorting.
 */
export declare function shellSort_bound(arr: number[], start: number, end: number): number[];
declare const _default: {
    insertionSort: typeof insertionSort;
    shellSort: typeof shellSort;
    shellSort_bound: typeof shellSort_bound;
};
export default _default;
